# HelloWorldPlugin

object HelloWorldPlugin : StartPlugin (source)

## Functions

setupDI
Link copied to clipboard
open fun ERROR CLASS: Symbol not found for Module. setupDI (config: JsonObject)

This method will be called first to configure Module related to this plugin. You may use org.koin.core.scope.Scope.get in your koin definitions like Module.single to retrieve kotlinx.coroutines.CoroutineScope, kotlinx.serialization.json.Json or dev.inmo.micro_utils.startup.launcher.Config

startPlugin
Link copied to clipboard
open suspend override fun startPlugin (koin: ERROR CLASS: Symbol not found for Koin)

This method will be called after all other StartPlugin will setupDI